
_mask:

;MultiplexedSevenSegmentDisplay.c,19 :: 		unsigned short mask(unsigned short num) {
;MultiplexedSevenSegmentDisplay.c,20 :: 		switch (num) {
	GOTO       L_mask0
;MultiplexedSevenSegmentDisplay.c,21 :: 		case 0 : return 0xC0;
L_mask2:
	MOVLW      192
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,22 :: 		case 1 : return 0xF9;
L_mask3:
	MOVLW      249
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,23 :: 		case 2 : return 0xA4;
L_mask4:
	MOVLW      164
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,24 :: 		case 3 : return 0xB0;
L_mask5:
	MOVLW      176
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,25 :: 		case 4 : return 0x99;
L_mask6:
	MOVLW      153
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,26 :: 		case 5 : return 0x92;
L_mask7:
	MOVLW      146
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,27 :: 		case 6 : return 0x82;
L_mask8:
	MOVLW      130
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,28 :: 		case 7 : return 0xF8;
L_mask9:
	MOVLW      248
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,29 :: 		case 8 : return 0x80;
L_mask10:
	MOVLW      128
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,30 :: 		case 9 : return 0x90;
L_mask11:
	MOVLW      144
	MOVWF      R0+0
	RETURN
;MultiplexedSevenSegmentDisplay.c,31 :: 		} //case end
L_mask0:
	MOVF       FARG_mask_num+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_mask2
	MOVF       FARG_mask_num+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_mask3
	MOVF       FARG_mask_num+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_mask4
	MOVF       FARG_mask_num+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_mask5
	MOVF       FARG_mask_num+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_mask6
	MOVF       FARG_mask_num+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_mask7
	MOVF       FARG_mask_num+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_mask8
	MOVF       FARG_mask_num+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_mask9
	MOVF       FARG_mask_num+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_mask10
	MOVF       FARG_mask_num+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_mask11
;MultiplexedSevenSegmentDisplay.c,32 :: 		}
	RETURN
; end of _mask

_main:

;MultiplexedSevenSegmentDisplay.c,33 :: 		void main() {
;MultiplexedSevenSegmentDisplay.c,34 :: 		CMCON  |= 7;        // Disable Comparators
	MOVLW      7
	IORWF      CMCON+0, 1
;MultiplexedSevenSegmentDisplay.c,35 :: 		TRISB = 0x00; // Set PORTB direction to be output
	CLRF       TRISB+0
;MultiplexedSevenSegmentDisplay.c,36 :: 		PORTB = 0xff;    // Turn OFF LEDs on PORTB
	MOVLW      255
	MOVWF      PORTB+0
;MultiplexedSevenSegmentDisplay.c,37 :: 		TRISA = 0b00100000; // RA5 is input only
	MOVLW      32
	MOVWF      TRISA+0
;MultiplexedSevenSegmentDisplay.c,38 :: 		Count   =    0;  // Initial Value of Counter
	CLRF       _Count+0
	CLRF       _Count+1
;MultiplexedSevenSegmentDisplay.c,40 :: 		do {
L_main12:
;MultiplexedSevenSegmentDisplay.c,41 :: 		DD0 = Count%10;  // Extract Ones Digit
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _Count+0, 0
	MOVWF      R0+0
	MOVF       _Count+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _DD0+0
;MultiplexedSevenSegmentDisplay.c,42 :: 		DD0 = mask(DD0);
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      _DD0+0
;MultiplexedSevenSegmentDisplay.c,43 :: 		DD1 = (Count/10)%10; // Extract Tens Digit
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _Count+0, 0
	MOVWF      R0+0
	MOVF       _Count+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _DD1+0
;MultiplexedSevenSegmentDisplay.c,44 :: 		DD1 = mask(DD1);
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      _DD1+0
;MultiplexedSevenSegmentDisplay.c,45 :: 		DD2 = (Count/100)%10; // Extract Hundreds Digit
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _Count+0, 0
	MOVWF      R0+0
	MOVF       _Count+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _DD2+0
;MultiplexedSevenSegmentDisplay.c,46 :: 		DD2 = mask(DD2);
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      _DD2+0
;MultiplexedSevenSegmentDisplay.c,47 :: 		DD3 = (Count/1000);  // Extract Thousands Digit
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       _Count+0, 0
	MOVWF      R0+0
	MOVF       _Count+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      _DD3+0
;MultiplexedSevenSegmentDisplay.c,48 :: 		DD3 = mask(DD3);
	MOVF       R0+0, 0
	MOVWF      FARG_mask_num+0
	CALL       _mask+0
	MOVF       R0+0, 0
	MOVWF      _DD3+0
;MultiplexedSevenSegmentDisplay.c,50 :: 		for (i = 0; i<=50; i++) {
	CLRF       _i+0
L_main15:
	MOVF       _i+0, 0
	SUBLW      50
	BTFSS      STATUS+0, 0
	GOTO       L_main16
;MultiplexedSevenSegmentDisplay.c,51 :: 		PORTB = DD0;
	MOVF       _DD0+0, 0
	MOVWF      PORTB+0
;MultiplexedSevenSegmentDisplay.c,52 :: 		RA0_bit = 0;      // Select Ones Digit
	BCF        RA0_bit+0, 0
;MultiplexedSevenSegmentDisplay.c,53 :: 		RA1_bit = 1;
	BSF        RA1_bit+0, 1
;MultiplexedSevenSegmentDisplay.c,54 :: 		RA2_bit = 1;
	BSF        RA2_bit+0, 2
;MultiplexedSevenSegmentDisplay.c,55 :: 		RA3_bit = 1;
	BSF        RA3_bit+0, 3
;MultiplexedSevenSegmentDisplay.c,56 :: 		delay_ms(5);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_main18:
	DECFSZ     R13+0, 1
	GOTO       L_main18
	DECFSZ     R12+0, 1
	GOTO       L_main18
;MultiplexedSevenSegmentDisplay.c,57 :: 		PORTB = DD1;
	MOVF       _DD1+0, 0
	MOVWF      PORTB+0
;MultiplexedSevenSegmentDisplay.c,58 :: 		RA0_bit = 1;
	BSF        RA0_bit+0, 0
;MultiplexedSevenSegmentDisplay.c,59 :: 		RA1_bit = 0;     // Select Tens Digit
	BCF        RA1_bit+0, 1
;MultiplexedSevenSegmentDisplay.c,60 :: 		RA2_bit = 1;
	BSF        RA2_bit+0, 2
;MultiplexedSevenSegmentDisplay.c,61 :: 		RA3_bit = 1;
	BSF        RA3_bit+0, 3
;MultiplexedSevenSegmentDisplay.c,62 :: 		delay_ms(5);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_main19:
	DECFSZ     R13+0, 1
	GOTO       L_main19
	DECFSZ     R12+0, 1
	GOTO       L_main19
;MultiplexedSevenSegmentDisplay.c,63 :: 		PORTB = DD2;
	MOVF       _DD2+0, 0
	MOVWF      PORTB+0
;MultiplexedSevenSegmentDisplay.c,64 :: 		RA0_bit = 1;
	BSF        RA0_bit+0, 0
;MultiplexedSevenSegmentDisplay.c,65 :: 		RA1_bit = 1;
	BSF        RA1_bit+0, 1
;MultiplexedSevenSegmentDisplay.c,66 :: 		RA2_bit = 0;     // Select Hundreds Digit
	BCF        RA2_bit+0, 2
;MultiplexedSevenSegmentDisplay.c,67 :: 		RA3_bit = 1;
	BSF        RA3_bit+0, 3
;MultiplexedSevenSegmentDisplay.c,68 :: 		delay_ms(5);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_main20:
	DECFSZ     R13+0, 1
	GOTO       L_main20
	DECFSZ     R12+0, 1
	GOTO       L_main20
;MultiplexedSevenSegmentDisplay.c,69 :: 		PORTB   = DD3;
	MOVF       _DD3+0, 0
	MOVWF      PORTB+0
;MultiplexedSevenSegmentDisplay.c,70 :: 		RA0_bit = 1;
	BSF        RA0_bit+0, 0
;MultiplexedSevenSegmentDisplay.c,71 :: 		RA1_bit = 1;
	BSF        RA1_bit+0, 1
;MultiplexedSevenSegmentDisplay.c,72 :: 		RA2_bit = 1;
	BSF        RA2_bit+0, 2
;MultiplexedSevenSegmentDisplay.c,73 :: 		RA3_bit = 0;     // Select Thousands Digit
	BCF        RA3_bit+0, 3
;MultiplexedSevenSegmentDisplay.c,74 :: 		delay_ms(5);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_main21:
	DECFSZ     R13+0, 1
	GOTO       L_main21
	DECFSZ     R12+0, 1
	GOTO       L_main21
;MultiplexedSevenSegmentDisplay.c,50 :: 		for (i = 0; i<=50; i++) {
	INCF       _i+0, 1
;MultiplexedSevenSegmentDisplay.c,75 :: 		}
	GOTO       L_main15
L_main16:
;MultiplexedSevenSegmentDisplay.c,76 :: 		Count = Count + 1 ;
	INCF       _Count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _Count+1, 1
;MultiplexedSevenSegmentDisplay.c,77 :: 		if (Count > 9999) Count = 0;
	MOVF       _Count+1, 0
	SUBLW      39
	BTFSS      STATUS+0, 2
	GOTO       L__main23
	MOVF       _Count+0, 0
	SUBLW      15
L__main23:
	BTFSC      STATUS+0, 0
	GOTO       L_main22
	CLRF       _Count+0
	CLRF       _Count+1
L_main22:
;MultiplexedSevenSegmentDisplay.c,78 :: 		} while(1);          // endless loop
	GOTO       L_main12
;MultiplexedSevenSegmentDisplay.c,79 :: 		}
	GOTO       $+0
; end of _main
