#line 1 "C:/Documents and Settings/Administrator/Desktop/EmbeddedLab/MikroC/PIC16F628A/MultiplexedSevenSegmentDisplay/MultiplexedSevenSegmentDisplay.c"
#line 16 "C:/Documents and Settings/Administrator/Desktop/EmbeddedLab/MikroC/PIC16F628A/MultiplexedSevenSegmentDisplay/MultiplexedSevenSegmentDisplay.c"
unsigned short i, DD0, DD1, DD2, DD3;
unsigned int Count;

unsigned short mask(unsigned short num) {
 switch (num) {
 case 0 : return 0xC0;
 case 1 : return 0xF9;
 case 2 : return 0xA4;
 case 3 : return 0xB0;
 case 4 : return 0x99;
 case 5 : return 0x92;
 case 6 : return 0x82;
 case 7 : return 0xF8;
 case 8 : return 0x80;
 case 9 : return 0x90;
 }
}
void main() {
 CMCON |= 7;
 TRISB = 0x00;
 PORTB = 0xff;
 TRISA = 0b00100000;
 Count = 0;

 do {
 DD0 = Count%10;
 DD0 = mask(DD0);
 DD1 = (Count/10)%10;
 DD1 = mask(DD1);
 DD2 = (Count/100)%10;
 DD2 = mask(DD2);
 DD3 = (Count/1000);
 DD3 = mask(DD3);

 for (i = 0; i<=50; i++) {
 PORTB = DD0;
 RA0_bit = 0;
 RA1_bit = 1;
 RA2_bit = 1;
 RA3_bit = 1;
 delay_ms(5);
 PORTB = DD1;
 RA0_bit = 1;
 RA1_bit = 0;
 RA2_bit = 1;
 RA3_bit = 1;
 delay_ms(5);
 PORTB = DD2;
 RA0_bit = 1;
 RA1_bit = 1;
 RA2_bit = 0;
 RA3_bit = 1;
 delay_ms(5);
 PORTB = DD3;
 RA0_bit = 1;
 RA1_bit = 1;
 RA2_bit = 1;
 RA3_bit = 0;
 delay_ms(5);
 }
 Count = Count + 1 ;
 if (Count > 9999) Count = 0;
 } while(1);
}
